org.codehaus.plexus.configuration

## Class PlexusConfigurationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.codehaus.plexus.configuration.PlexusConfigurationException

All Implemented Interfaces:
  java.io.Serializable

    public class PlexusConfigurationException
    extends java.lang.Exception

Exception that is thrown when an expected configuration value encounters problems loading correctly.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`PlexusConfigurationException(java.lang.String message)` Construct a new `PlexusConfigurationException` instance.
`PlexusConfigurationException(java.lang.String message, java.lang.Throwable throwable)` Construct a new `PlexusConfigurationException` instance.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PlexusConfigurationException

    public PlexusConfigurationException(java.lang.String message)

Construct a new `PlexusConfigurationException` instance.

Parameters:
  `message` - exception message

#### PlexusConfigurationException

    public PlexusConfigurationException(java.lang.String message,
                                        java.lang.Throwable throwable)

Construct a new `PlexusConfigurationException` instance.

Parameters:
  `message` - exception message
  `throwable` - causing exception to chain